import java.sql.*;

public class CreateTestTables {
	private Connection conn;
	private Statement stmt;

	
	public CreateTestTables() throws Exception {
		Class.forName("org.apache.derby.jdbc.EmbeddedDriver");
		conn = DriverManager.getConnection("jdbc:derby:testdb;create=true");
		stmt = conn.createStatement();
		System.out.println("Creating Table1");
		createTable("Table1", 400, 3500);
		System.out.println("Creating Table2");
		createTable("Table2", 4000, 310);
	}

	private void createTable(String tableName, int numberOfItems, int textSize)
			throws Exception {
		stmt.execute("Drop Table " + tableName);
		stmt.execute("Create Table " + tableName
				+ "( ID Integer NOT NULL PRIMARY KEY, Name VARCHAR(" + textSize
				+ "))");

		System.out.println("Setter inn personer...");
		String name = RandomStringUtils.randomAlphabetic(textSize);
		for (int i = 0; i < numberOfItems; i++) {
			stmt.execute("INSERT INTO " + tableName + " VALUES(" + i + ",'"
					+ name + "')");
		}
	}

	public static void main(String[] args) {
		try {
			new CreateTestTables();
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
}
