import java.sql.*;
import java.io.*;

public class DerbyThread extends Thread {
	private Connection conn;

	private Statement stmt;

	private ResultSet rs;
	private int threadNumber;

	public DerbyThread(int number) {
		this.threadNumber = number;
		try {
			Class.forName("org.apache.derby.jdbc.EmbeddedDriver");
			conn = DriverManager.getConnection("jdbc:derby:testdb;create=true");
			stmt = conn.createStatement();
		} catch (Exception e) {
			e.printStackTrace();
		}
	}

	public void run() {
		try {

			FileReader f = new FileReader("Thread" + threadNumber + ".txt");
			BufferedReader b = new BufferedReader(f);
			String txt = b.readLine();
			while (txt != null) {
				boolean s = false;
				if(txt.length()== 20)
					s = true;
				String sql = txt;
				rs = stmt.executeQuery(sql);
				if(s) {
					while(rs.next()) {
						rs.getString(2);
					}
				} else {
					rs.next();
					rs.getString(2);
				}
				
				txt = b.readLine();
			}
		} catch (Exception e) {
			e.printStackTrace();
		}
	}

}
